## NMObject NMObject |

## Functions

const char * | nm_object_get_path ()
NMClient * | nm_object_get_client ()

## Types and Values

#define | NM_OBJECT_PATH

## Description

## Functions

### nm_object_get_path ()

    const char *
    nm_object_get_path (NMObject *object);

Gets the DBus path of the NMObject.

#### Parameters

object | a NMObject |

#### Returns

the object's path. This is the internal string used by the object, and must not be modified.

Note that the D-Bus path of an NMObject never changes, even if the instance gets removed from the cache. To find out whether the object is still alive/cached, check `nm_object_get_client()`.

### nm_object_get_client ()

    NMClient *
    nm_object_get_client (NMObject *object);

Returns the NMClient instance in which object is cached. Also, if the object got removed from the client cached, this returns `NULL`. So it can be used to check whether the object is still alive.

#### Parameters

object | a NMObject |

#### Returns

the NMClient cache in which the object can be found, or `NULL` if the object is no longer cached.

[transfer none]

Since: 1.24

## Types and Values

### NM_OBJECT_PATH

    #define NM_OBJECT_PATH "path"